    // Christmas Color Changer for 2 Analog LED Strips
    // 12/2012 Carl F Sutter
    // with thanks to Adafruit!

    // 2 LED strips with R, G, B LEDS on each, so there are 6 channels to control via FET transistors
    // use the 6 PWM digital I/O pins for the FET gate pins
    #define R1 3
    #define G1 5
    #define B1 6
    #define R2 9
    #define G2 10
    #define B2 11
    
    #define FADESPEED 7 // make this higher to slow down
    
    void setup() {
      // set all the LEDs to off
      analogWrite(R1, 0);
      analogWrite(G1, 0);
      analogWrite(B1, 0);
      analogWrite(R2, 0);
      analogWrite(G2, 0);
      analogWrite(B2, 0);
    }
    
    void loop() {
      int i;
    
      // fade strip 1 red up and strip 2 red up
      for (i = 0; i < 256; i++) {
        analogWrite(R1, i);
        analogWrite(R2, i);
        delay(FADESPEED);
      }
      
      // fade strip 1 red down and strip 2 red down
      for (i = 0; i < 256; i++) {
        analogWrite(R1, 255-i);
        analogWrite(R2, 255-i);
        delay(FADESPEED);
      }
      
      // fade strip 1 green up and strip 2 green up
      for (i = 0; i < 256; i++) {
        analogWrite(G1, i);
        analogWrite(G2, i);
        delay(FADESPEED);
      }
      
      // fade strip 1 green down and strip 2 green down
      for (i = 0; i < 256; i++) {
        analogWrite(G1, 255-i);
        analogWrite(G2, 255-i);
        delay(FADESPEED);
      }
      
      // fade both strips blue up
      for (i = 0; i < 256; i++) {
        analogWrite(B1, i);
        analogWrite(B2, i);
        delay(FADESPEED);
      }

      // fade both strips blue down
      for (i = 0; i < 256; i++) {
        analogWrite(B1, 255-i);
        analogWrite(B2, 255-i);
        delay(FADESPEED);
      }
    
      // fade both strips red and green up
      for (i = 0; i < 256; i++) {
        analogWrite(R1, i);
        analogWrite(G1, i);
        analogWrite(R2, i);
        analogWrite(G2, i);
        delay(FADESPEED);
      }

      // fade both strips red and green down
      for (i = 0; i < 256; i++) {
        analogWrite(R1, 255-i);
        analogWrite(G1, 255-i);
        analogWrite(R2, 255-i);
        analogWrite(G2, 255-i);
        delay(FADESPEED);
      }
    
      // fade strip 1 red up and strip 2 green up
      for (i = 0; i < 256; i++) {
        analogWrite(R1, i);
        analogWrite(G2, i);
        delay(FADESPEED);
      }

      // fade strip 1 red down and strip 2 green down
      for (i = 0; i < 256; i++) {
        analogWrite(R1, 255-i);
        analogWrite(G2, 255-i);
        delay(FADESPEED);
      }
    
      // fade strip 2 red up and strip 1 green up
      for (i = 0; i < 256; i++) {
        analogWrite(G1, i);
        analogWrite(R2, i);
        delay(FADESPEED);
      }

      // fade strip 2 red down and strip 1 green down
      for (i = 0; i < 256; i++) {
        analogWrite(G1, 255-i);
        analogWrite(R2, 255-i);
        delay(FADESPEED);
      }
    
  }
